Start or resume a campaign
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"graph": {},
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"daily_intake_cap": 123,
"auto_join": "<string>",
"one_per_company": true,
"pause_reason": "<string>",
"pause_info": {},
"default_connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"autopilot": false,
"approval_mode": "step",
"send_mode": "auto",
"auto_reply_mode": "off",
"sender_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"schedule": {},
"exclusions": {},
"runs_count": 123,
"connections_sent": 123,
"not_started": 123,
"in_progress": 123,
"finished": 123,
"failed": 123,
"stopped": 123,
"accept_rate": 123,
"reply_rate": 123,
"people_written_to": 123,
"has_sent": true,
"campaign_type": "<string>",
"people_from": "<string>",
"pattern_summary": "<string>",
"sender": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
},
"senders": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
],
"activation_summary": {},
"phase": "<string>",
"phase_detail": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"replied_count": 123,
"needs_you": {
"to_approve": 0,
"to_approve_blocked": 0,
"to_send_by_hand": 0,
"invites_waiting": 0,
"replies": 0,
"failed": 0,
"sender_problem": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"display_name": "<string>"
},
"primary": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Start or resume a campaign
Starts a campaign, or resumes a paused one. Messages can go out after this, following the campaign’s approval settings. Answers 403 when the campaign uses a loose approval setting, such as approving a whole sequence at once, First message only, or an auto-approve timer: a signed-in person has to start those.
POST
/
workflows
/
{workflow_id}
/
activate
Start or resume a campaign
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"graph": {},
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"daily_intake_cap": 123,
"auto_join": "<string>",
"one_per_company": true,
"pause_reason": "<string>",
"pause_info": {},
"default_connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"autopilot": false,
"approval_mode": "step",
"send_mode": "auto",
"auto_reply_mode": "off",
"sender_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"schedule": {},
"exclusions": {},
"runs_count": 123,
"connections_sent": 123,
"not_started": 123,
"in_progress": 123,
"finished": 123,
"failed": 123,
"stopped": 123,
"accept_rate": 123,
"reply_rate": 123,
"people_written_to": 123,
"has_sent": true,
"campaign_type": "<string>",
"people_from": "<string>",
"pattern_summary": "<string>",
"sender": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
},
"senders": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
],
"activation_summary": {},
"phase": "<string>",
"phase_detail": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"replied_count": 123,
"needs_you": {
"to_approve": 0,
"to_approve_blocked": 0,
"to_send_by_hand": 0,
"invites_waiting": 0,
"replies": 0,
"failed": 0,
"sender_problem": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"display_name": "<string>"
},
"primary": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes